import 'package:cargocalculaterapp/core/extension/build_context_extension.dart';
import 'package:cargocalculaterapp/core/utils/app_utils.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class DeliveryInfoWidget extends StatelessWidget {
  const DeliveryInfoWidget({
    super.key,
    required this.icon,
    required this.title,
    required this.name,
  });

  final String icon;
  final String title;
  final String name;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(bottom: 16),
      child: Row(
        children: [
          SvgPicture.asset(icon, width: 12, height: 12),
          AppUtils.kBoxWidth4,
          Expanded(child: Text(title, style: context.text.orderListTitle)),
          Text(name, style: context.text.profileCategory),
        ],
      ),
    );
  }
}
